Skip to content

List streams

GET/v1/streams

GET
/v1/streams
curl --request GET \
--url 'https://api.ligr.live/rest/v1/streams?matchId=1' \
--header 'Authorization: Bearer <token>'

Lists the streams of a match with their configuration.

matchId
required

Entity identifier

integer format: int32
>= 1

The match identifier

Ok

Media typeapplication/json
object
streams
required
Array<object>

The configuration of one stream of a match.

object
id
required

Entity identifier

integer format: int32
>= 1
name
required
string
matchId
required

Entity identifier

integer format: int32
>= 1
competitionId
required

Entity identifier

integer format: int32
>= 1
overlayId
required

The overlay the stream renders. Null when no overlay is linked.

integer format: int32
>= 1
resolution
required
string
Allowed values: 1280 * 720 1920 * 1080
fps
required
string
Allowed values: 25 30 50 60
region
required
string
Allowed values: us-east-1 ap-southeast-2 us-east-2 us-west-1 us-west-2 ap-south-1 ap-northeast-1 ap-northeast-2 ap-northeast-3 ap-southeast-1 ca-central-1 eu-central-1 eu-west-1 eu-west-2 eu-west-3 eu-north-1 sa-east-1 eu-south-1 eu-south-2 af-south-1 ap-southeast-3 ap-southeast-4 ap-east-1 me-south-1 me-central-1 il-central-1 cn-north-1 cn-northwest-1 mx-central-1
size
required
string
Allowed values: small regular large
videoBitrateKbps
required

Video bitrate in kb/s. Null means the preset for the resolution.

number format: double
nullable
inputId
required

The input the stream reads. Null until one is linked or resolved.

integer format: int32
>= 1
inputSelection
required

specific uses inputId. home and venue resolve the input from the match.

string
Allowed values: specific home venue
destinationSelection
required

specific uses destinations. home and venue resolve them from the match.

string
Allowed values: specific home venue
destinations
required
Array<object>
object
id
required

Entity identifier

integer format: int32
>= 1
name
required
string
type
required
string
Allowed values: youtube facebook twitter linkedin tiktok twitch custom perform genius img igame fifa+ infront
url
required
string
key
required
string
idleImageUrl
string
hideOverlay
required
boolean
autoStream
required
boolean
autoStreamConfig
required
object
preview
object
mode
required
string
Allowed values: schedule venues
goLive
object
mode
required
string
Allowed values: schedule venues
stop
object
mode
required
string
Allowed values: schedule venues
streamPreviewStartTime
required

Minutes relative to the scheduled start of the match.

number format: double
nullable
streamLiveStartTime
required

Minutes relative to the scheduled start of the match.

number format: double
nullable
streamAutoStopTime
required

Minutes relative to the time the match stopped.

number format: double
nullable
generateHighlights
required
boolean
publishHighlights
required
boolean
archiveFullFeed
required
boolean
archiveCleanFeed
required
boolean
autoConvertRecording
required
boolean
createdAt
required
string
updatedAt
required
string
Example
{
"streams": [
{
"resolution": "1280 * 720",
"fps": "25",
"region": "us-east-1",
"size": "small",
"inputSelection": "specific",
"destinationSelection": "specific",
"destinations": [
{
"type": "youtube"
}
],
"autoStreamConfig": {
"preview": {
"mode": "schedule"
},
"goLive": {
"mode": "schedule"
},
"stop": {
"mode": "schedule"
}
}
}
]
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Stream not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}